Subject: Re: MinGW port updated to 1.5.2

From: "Aaron Gray" <[email-masked]>
Date: Sun, 27 May 2007 14:38:48 +0100

> Aaron Gray escreveu:
>>> Aaron Gray escreveu:
>>>>> Aaron Gray escreveu:
>>>>>>>> GIT_EXTERNAL_DIFF works now.
>>>>>>>
>>>>>>> http://lilypond.org/git/binaries/mingw/
>>>>>>>
>>>>>>> uploading as I speak. Untested.
>>>>>>
>>>>>> This installs to "C:\Program Files\Git" and is not availiable on the
>>>>>> path. What is going on here please ?
>>>>>
>>>>> this uses the same buildscripts as before, so if it worked, it should
>>>>> still work. The path should point to $PF/Git/usr/bin/ ; you might
>>>>> need to
>>>>> log out and log in again for the path to visible.
>>>>
>>>> Still not working properly.
>>>>
>>>> From CMD.EXE, neither 'git clone' and 'git-clone' are accessable.
>
>>> - what is the value of the PATH variable in CMD ?
>>
>> Path=C:\Program
>> Files\GreenBorder\;C:\windows\system32;C:\windows;C:\windows\Sys
>> tem32\Wbem;C:\Program Files\ATI Technologies\ATI Control
>> Panel;c:\Program Files\
>> Microsoft SQL Server\90\Tools\binn\;C:\GnuWin32\bin;C:\Program
>> Files\QuickTime\Q
>> TSystem\;C:\Utils;C:\Program
>> Files\MakeMsi\;c:\MinGW\bin;C:\MinGW\usr\bin;C:\Pro
>> gram Files\Git\usr\bin;C:\Program Files\Git\usr\bin
>
> Can you troubleshoot this for me?  As you can see, you have
>
> C:\Program Files\Git\usr\bin
>
> in the path. That AFAIK should be enough to have git.exe run
> inside CMD.  Maybe I'm missing something, but that is as far as my
> windows knowledge goes.

Git runs, 'git init' runs, but 'git clone' or 'git-clone' do not.

'git init' reports it cannot find '/usr/share/git-core/templates/'

I have no idea whats wrong and do not have the time to try to debug it at 
present.

Aaron